extension:
  name: web_search
  display_name: Web search
  version: 0.1.0
  host: edge
  category: tool
  description: |
    Reference tool-plugin extension. Fulfils the retrieval.<id>
    contract for the builtin `tool.web` edge plugin by hitting
    DuckDuckGo's public HTML endpoint and returning top results
    as snippets.

    Tool exposed: `search` — {query, top_k} →
    {snippets:[{text, source, score}]}.

  model: B
  external_url: http://127.0.0.1:9503

  tools:
    - search

  license_tier: free
  signature_key: ""
